Skip to content
Shortcut: /, ⌘K or Ctrl+K

Webhooks

View as Markdown

List webhook apps

GET/graph/whatsapp/{version}/{wabaId}/subscribed_appsGraph APIMeta Cloud API
Base URL
https://api.polymorfa.com
Required permission
sessions:read

Path parameters

  • versionstringrequired

    Specifies version for this path parameter.

  • wabaIdstringrequired

    Identifier for the waba.

Responses

GET /graph/whatsapp/{version}/{wabaId}/subscribed_appscURL

Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.

curl "https://api.polymorfa.com/graph/whatsapp/v26.0/<wabaId>/subscribed_apps" \
  -H "Authorization: Bearer YOUR_API_KEY"
Response
null

Subscribe a webhook app

POST/graph/whatsapp/{version}/{wabaId}/subscribed_appsGraph APIMeta Cloud API
Base URL
https://api.polymorfa.com
Required permission
messages:write

Path parameters

  • versionstringrequired

    Specifies version for this path parameter.

  • wabaIdstringrequired

    Identifier for the waba.

Responses

POST /graph/whatsapp/{version}/{wabaId}/subscribed_appscURL

Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.

curl -X POST "https://api.polymorfa.com/graph/whatsapp/v26.0/<wabaId>/subscribed_apps" \
  -H "Authorization: Bearer YOUR_API_KEY"
Response
null

Unsubscribe a webhook app

DELETE/graph/whatsapp/{version}/{wabaId}/subscribed_appsGraph APIMeta Cloud API
Base URL
https://api.polymorfa.com
Required permission
messages:write

Path parameters

  • versionstringrequired

    Specifies version for this path parameter.

  • wabaIdstringrequired

    Identifier for the waba.

Responses

DELETE /graph/whatsapp/{version}/{wabaId}/subscribed_appscURL

Graph API v26.0. The version is part of the URL; Graph requests take no Polymorfa-Version header.

curl -X DELETE "https://api.polymorfa.com/graph/whatsapp/v26.0/<wabaId>/subscribed_apps" \
  -H "Authorization: Bearer YOUR_API_KEY"
Response
null